<?php

declare(strict_types=1);

namespace TechnoArtisan\FilamentCms\Traits;

trait EnumValuesToArray
{
    public static function toArray(): array
    {
        return array_map(static fn(self $enum) => $enum->value, self::cases());
    }
}
